November 21, 2017

Time to bring everyone to 5.1!

by Jscrambler

time-to-bring-everyone-to-5.1

We’re very happy to announce that Jscrambler 3.x versions will be discontinued on the first quarter of 2018 and all Jscrambler 3.x cloud users will be migrated to our fresh and updated 5.1 version until then.

Jscrambler 5.1 is our most recent and updated version and we want to make sure that all our active users are experiencing the best Jscrambler ever. If you don’t take our word for it, have a look at the goodies:

What’s new in Jscrambler 5.1?

  • New & Improved Transformations - such as Control Flow Flattening and more resilient Self-Defending
  • Synergies across transformations - some transformations now work together to provide a higher degree of obfuscation and protection to your code
  • Targets - we’ve also introduced the concept of targets, which allow you to choose which type of Javascript primitive types/expressions you want to target
  • Compatibility - Jscrambler is now compliant with the ES2015 spec
  • Better default templates - we’ve revised our default templates and made them more suitable to common use-cases
  • Fresh Features - we've introduced Randomization Seed, Source Maps and more flexible Code Annotations
  • New and Improved Node CLI - customize the behavior of interactions with Jscrambler’s API
  • Refreshed UI & App Dashboard - our UI has been revamped offering an easier protection process and a more efficient organization of your projects

protect-your-javascript-code

I’m using an older version, how can I try the new one?

Here are a few important things you need to take into account while migrating from a Jscrambler 3.x version to our new 5.1 version:

  • If you are using the API to protect your code, you need to convert your JSON 3.x configuration to a 5.x one. To accomplish that please follow these steps;
  • If you intend to use the new Web Interface, please consider using one of our default templates. They were updated to comply with the new features providing improved protection levels as never before. If you’ve created your own custom templates on version 3.x, don’t worry because they have been automatically migrated to the new Jscrambler 5.1 already. Check for more info here
  • If you are using Code Annotations, please make sure you do the following

I’m a new user, how can I try the new version?

It’s simple. Go to our homepage, click “Try it Free” on the header bar and you will be able to start trying the 5.1 version of Jscrambler right away. Give us your feedback!

Customer support is one of our killer features

We know that Jscrambler is critical to your business, that's why we have real-time support via our chat app anywhere within our web interface. You can also drop us an email at [email protected] if you need to reach us.

Protect your app and prosper!
Jscrambler Team